# class Shell::SoloSession

### Public Instance Methods

definitions() click to toggle source

    # File lib/chef/shell/shell_session.rb, line 166
    def definitions
      @run_context.definitions
    end

rebuild_context() click to toggle source

    # File lib/chef/shell/shell_session.rb, line 170
    def rebuild_context
      @run_status = Chef::RunStatus.new(@node, @events)
      Chef::Cookbook::FileVendor.on_create { |manifest| Chef::Cookbook::FileSystemFileVendor.new(manifest, Chef::Config[:cookbook_path]) }
      cl = Chef::CookbookLoader.new(Chef::Config[:cookbook_path])
      cl.load_cookbooks
      cookbook_collection = Chef::CookbookCollection.new(cl)
      @run_context = Chef::RunContext.new(node, cookbook_collection, @events)
      @run_context.load(Chef::RunList::RunListExpansionFromDisk.new("_default", []))
      @run_status.run_context = run_context
    end